[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Cluster-devel] cman: loading lock_dlm module should be optional in initscript



Loading the lock_dlm module should be optional since it is optional
in the kernel configuration, and in the future we intend to merge
it into gfs2 itself.

Signed-off-by: Steven Whitehouse <swhiteho redhat com>

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 1012681..7d71e1b 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -148,7 +148,7 @@ load_modules()
 {
     errmsg=$( /sbin/modprobe configfs 2>&1 ) || return 1
     errmsg=$( /sbin/modprobe dlm 2>&1 ) || return 1
-    errmsg=$( /sbin/modprobe lock_dlm 2>&1 ) || return 1
+    errmsg=$( /sbin/modprobe lock_dlm 2>&1 ) || true
     return 0
 }
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]